define(['../templates.js'], function (getTemplateRenderer) {
  'use strict';

  var getTemplate = getTemplateRenderer();

  return function (params) {
    var self = this;

    return getTemplate('custom')
      .then(function (template) {
        params.$el.append(template.render({
          values: params.data,
          cities: [
            { id: 'msk', option: self.i18n('custom').msk },
            { id: 'spb', option: self.i18n('custom').spb }
          ],
          langs: {
            example_caption: self.i18n('custom').example_caption,
            example_text: self.i18n('custom').example_text,
            enter_value_placeholder: self.i18n('custom').enter_value_placeholder
          }
        }));
      });
  };
});